Package org.apache.commons.dbutils.wrappers

# Class StringTrimmedResultSet

java.lang.Object
org.apache.commons.dbutils.wrappers.StringTrimmedResultSet

All Implemented Interfaces:
  `InvocationHandler`

public class StringTrimmedResultSet extends Object implements InvocationHandler
Wraps a `ResultSet` to trim strings returned by the `getString()` and `getObject()` methods.

Usage Example: This example shows how to decorate ResultSets so processing continues as normal but all Strings are trimmed before being returned from the `ResultSet`.

     ResultSet resultSet = // somehow get a ResultSet;

     // Substitute wrapped ResultSet with additional behavior for real ResultSet
     resultSet = StringTrimmedResultSet.wrap(resultSet);

     // Pass wrapped ResultSet to processor
     List list = new BasicRowProcessor().toBeanList(resultSet);

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringTrimmedResultSet(ResultSet resultSet)`
  Constructs a new instance of `StringTrimmedResultSet` to wrap the specified `ResultSet`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `invoke(Object proxy, Method method, Object[] args)`
  Intercept calls to the `getString()` and `getObject()` methods and trim any Strings before they're returned.
  `static ResultSet`
  `wrap(ResultSet resultSet)`
  Wraps the `ResultSet` in an instance of this class.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StringTrimmedResultSet

    public StringTrimmedResultSet(ResultSet resultSet)
    Constructs a new instance of `StringTrimmedResultSet` to wrap the specified `ResultSet`.
    Parameters:
      `resultSet` - ResultSet to wrap

- ## Method Details

  - ### wrap

    public static ResultSet wrap(ResultSet resultSet)
    Wraps the `ResultSet` in an instance of this class. This is equivalent to:

         ProxyFactory.instance().createResultSet(new StringTrimmedResultSet(resultSet));

    Parameters:
      `resultSet` - The `ResultSet` to wrap.
    Returns:
      wrapped ResultSet

  - ### invoke

    public Object invoke(Object proxy, Method method, Object[] args) throws Throwable
    Intercept calls to the `getString()` and `getObject()` methods and trim any Strings before they're returned.
    Specified by:
      `invoke` in interface `InvocationHandler`
    Parameters:
      `proxy` - Not used; all method calls go to the internal result set
      `method` - The method to invoke on the result set
      `args` - The arguments to pass to the result set
    Returns:
      string trimmed result
    Throws:
      `Throwable` - error
    See Also:
      - `InvocationHandler.invoke(Object, java.lang.reflect.Method, Object[])`